​
Select Service
ves-io-schema-virtual_k8s-API-Get
Published April 5, 2023 | Last modified June 15, 2026
Examples of getting virtual_k8s
Usecase:
Get virtual-k8s-1
Request using vesctl:
vesctl configuration get virtual_k8s virtual-k8s-1 --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: virtual-k8s-1 namespace: documentationreferringObjects: []resourceVersion: "4550"spec: vsiteRefs: []status: []systemMetadata: creationTimestamp: "2026-04-13T02:03:15.004538Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: ea3a33a2-f5b4-4773-9e1b-eb2d7c725494Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/virtual_k8ss/virtual-k8s-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 876Content-Type: application/jsonDate: Mon, 13 Apr 2026 02:03:15 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "4550", "metadata": { "name": "virtual-k8s-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "ea3a33a2-f5b4-4773-9e1b-eb2d7c725494", "creation_timestamp": "2026-04-13T02:03:15.004538Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "vsite_refs": [ ], "default_flavor_ref": null }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}